---
title: "GET Locations-locationId"
url: "https://developers.perryweather.com/apis/perry-weather-api-1/versions/3047a55b-c304-42f3-b6dc-7c3f59903b6e/paths/Locations-locationId/get"
---

> Full API specification: https://developers.perryweather.com/apis/perry-weather-api-1/versions/3047a55b-c304-42f3-b6dc-7c3f59903b6e.md

# /Locations/{locationId}

`GET` `/Locations/{locationId}`

## Path parameters

- `locationId` (string, uuid, required) - The location identifier.

## Header parameters

- `x-api-key` (string, required) - API key for authenticating requests. Create and manage keys in the Perry Weather dashboard under Integrations > Perry Weather APIs.

## Responses

- `200` - Success
- `400` - Bad Request
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Perry Weather API
  version: "1.1"
servers:
  - url: https://customer.api.perryweather.com/v1/
    description: Production Server
paths:
  /Locations/{locationId}:
    get:
      tags:
        - Locations
      parameters:
        - name: x-api-key
          in: header
          description: API key for authenticating requests. Create and manage keys in the
            Perry Weather dashboard under Integrations > Perry Weather APIs.
          required: true
          schema:
            type: string
            example: YOUR-API-KEY
        - name: locationId
          in: path
          description: The location identifier.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: Success
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/LocationRecord"
              example:
                id: 6f1e9d3b-8a52-47c0-b4e6-2d9f7c1a5e83
                name: Example Stadium
                coordinates:
                  latitude: 32.80812345678901
                  longitude: -96.80123456789012
            application/json:
              schema:
                $ref: "#/components/schemas/LocationRecord"
              example:
                id: 6f1e9d3b-8a52-47c0-b4e6-2d9f7c1a5e83
                name: Example Stadium
                coordinates:
                  latitude: 32.80812345678901
                  longitude: -96.80123456789012
            text/json:
              schema:
                $ref: "#/components/schemas/LocationRecord"
              example:
                id: 6f1e9d3b-8a52-47c0-b4e6-2d9f7c1a5e83
                name: Example Stadium
                coordinates:
                  latitude: 32.80812345678901
                  longitude: -96.80123456789012
        "400":
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            text/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
        "404":
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
            text/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
security:
  - ApiKeyAuth: []
components:
  schemas:
    LocationRecord:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        coordinates:
          $ref: "#/components/schemas/CoordinatesDto"
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    CoordinatesDto:
      type: object
      properties:
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key for authenticating requests. Create and manage keys in the
        Perry Weather dashboard under Integrations > Perry Weather APIs.
      name: x-api-key
      in: header
```
